#pragma once
#include "std_lib_inc.h"
#ifndef ASSIGNMENT_H
#define ASSIGNMENT_H

namespace models {
    class Assignment {
        private:
            int user_id;
            int task_id;
        public:
            Assignment(const int& user_id, const int& task_id);
            Assignment();
            ostream& write(ostream& stream) const;

            int get_user_id() const;
            int get_task_id() const;

            friend ostream& operator<<(ostream& os, const Assignment& assignment);
            friend istream& operator>>(istream& is, Assignment& assignment);
    };

    ostream& operator<<(ostream& os, const Assignment& assignment);
    istream& operator>>(istream& is, Assignment& assignment);
}

#endif // ASSIGNMENT_H

